#******************************************************************************
#
#       Copyright:      2007 Paul Obermeier (obermeier@poSoft.de)
#
#                       See the file "Tcl3D_License.txt" for information on
#                       usage and redistribution of this file, and for a
#                       DISCLAIMER OF ALL WARRANTIES.
#
#       Module:         Tcl3D -> tcl3dGl2ps
#       Filename:       tcl3dGl2psQuery.tcl
#
#       Author:         Paul Obermeier
#
#       Description:    Tcl module with Tcl3D query procedures related to
#                       the gl2ps module.
#
#******************************************************************************

# Get the version of the wrapped GL2PS library.

proc tcl3dGl2psGetVersion {} {
    if { [info exists ::GL2PS_MAJOR_VERSION] }  {
        return [format "%d.%d.%d" \
                $::GL2PS_MAJOR_VERSION \
                $::GL2PS_MINOR_VERSION \
                $::GL2PS_PATCH_VERSION]
    } else {
        return ""
    }
}
